#!/bin/bash -e
#
# Copyright (C) 2023 MOXA Inc. All rights reserved.
# This software is distributed under the terms of the MOXA SOFTWARE NOTICE.
# See the file LICENSE for details.
#

set -e

source "${INSTL_SCRIPT_DIR}/lib/logger.sh"
log::init "${INSTL_LOG_FILE}" "${INSTL_LOG_LEVEL}"

main() {
        log::info "Rename serial device with ttyMX"
        cat <<EOF >/etc/udev/rules.d/99-moxa-x86-serial-naming.rules
KERNEL=="ttyS0"   DRIVERS=="serial"  MODE="0660" SYMLINK+="ttyM0"
KERNEL=="ttyS1"   DRIVERS=="serial"  MODE="0660" SYMLINK+="ttyM1"
KERNEL=="ttyUSB0" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM2"
KERNEL=="ttyUSB1" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM3"
KERNEL=="ttyUSB2" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM4"
KERNEL=="ttyUSB3" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM5"
KERNEL=="ttyUSB4" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM6"
KERNEL=="ttyUSB5" DRIVERS=="mxuport" MODE="0660" SYMLINK+="ttyM7"
EOF
        {
                udevadm control --reload-rules
                udevadm trigger
        } >>"${INSTL_LOG_FILE}"

        # TODO: Setup watchdog
}

main
